<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>
	
	<xsl:template match="/document">
		
		<!--   -->
		
		<h1>
			<xsl:value-of disable-output-escaping="yes" select="blocks/name"/>
		</h1>
		
		<xsl:value-of disable-output-escaping="yes" select="blocks/description"/>
		
		<!--   -->
		<xsl:if test="message/node()">
			<div id="message">
				<xsl:value-of disable-output-escaping="yes" select="message"/>
			</div>
		</xsl:if>
		
		<!--   (error),        -->
		<xsl:if test="error/node()">
			<div id="error">
				<xsl:value-of select="error"/>
			</div>
		</xsl:if>
		
		<!--  ID       $parent_group_id -->
		<xsl:variable name="parent_group_id" select="blocks/parent_group_id"/>
		
		<!--     -->
		<ul>
			<xsl:apply-templates select=".//group[@parent_id=$parent_group_id]" mode="goups"/>
		</ul>
		
		<div id="ShowAddComment">
			<a href="javascript:void(0)" onclick="javascript:cr('AddRecord')"> </a>
		</div>
		
		<div id="AddRecord" style="display: none">
			<div class="comment">
				<div class="tl"></div>
				<div class="tr"></div>
				<div class="bl"></div>
				<div class="br"></div>
				
				<!--   -->
				<form action="./" method="post">
					
					<xsl:if test="/document/site_user_id = 0">
						
						: <br/><input type="text" name="autor" size="50" value="{/document/autor}"/><br/><br/>
						
						E-mail: <br/><input type="text" name="email" size="50" value="{/document/email}"/><br/><br/>
						
					</xsl:if>
					
					: <br/><input type="text" name="subject" size="50" value="{/document/subject}"/><br/><br/>
					 :<br/>
					
					<textarea type="text" name="text_item" cols="38" rows="10">
						<xsl:value-of select="/document/text_item"/>
					</textarea><br/><br/>
					
					
					<!--  CAPTCHA -->
					<xsl:if test="/document/captcha_key != 0 and /document/site_user_id = 0">
						
						 
						<sup>
							<font color="red">*</font>
						</sup><br/>
						
						<div style="float: left">
							<img style="border: 1px solid #000000" src="/captcha.php?get_captcha={/document/captcha_key}&amp;height=30&amp;width=100" title=" " name="captcha"/>
						</div>
						
						<div id="captcha" style="clear:both;">
							<img style="border: 0px" src="/hostcmsfiles/images/refresh.gif" /> <a href="javascript:void(0);" onclick="ReNewCaptcha({/document/captcha_key}, 30);return false;">  </a>
						</div>
						
						<div style="float: left; margin-top: 5px">
							<input type="hidden" name="captcha_key" value="{/document/captcha_key}"/>
							<input type="text" name="captcha_keystring" size="15"/>
						</div>
						
						<div id="captcha" style="clear:both;margin-bottom:10px;">
							 ,   .
						</div>
						
					</xsl:if>
					
					<input type="submit" name="submit_question" value=" "/>
					
				</form>
			</div>
		</div>
		
		<!--     -->
		
		<xsl:apply-templates select="blocks/items/item[item_status=1]"/>
		
		
		<p>
			<!--        -->
			<xsl:if test="=1">
				<xsl:if test="blocks/items/count_items &gt; blocks/items/items_on_page">
					<p>
						<xsl:call-template name="for">
							<xsl:with-param name="n" select="blocks/items/count_items div blocks/items/items_on_page"/>
							<xsl:with-param name="current_page" select="blocks/items/current_page"/>
						</xsl:call-template>
						<div style="clear: both"></div>
					</p>
				</xsl:if>
			</xsl:if>
		</p>
	</xsl:template>
	
	<xsl:template match="blocks/items/item">
		
		<div class="comment">
			<div class="tl"></div>
			<div class="tr"></div>
			<div class="bl"></div>
			<div class="br"></div>
			
			<xsl:if test="item_name != ''">
				<b><xsl:value-of select="item_name"/></b><br/>
			</xsl:if>
			
			<xsl:value-of disable-output-escaping="yes" select="item_text"/>
		</div>
		<div style="margin: -5px 0px 20px 20px">
			
			<!--      -->
			<xsl:choose>
				<xsl:when test="site_user">
					<img src="/hostcmsfiles/images/user.gif"  style="margin: 0px 5px -4px 0px" />
				<span style="font-weight: bold;"><a href="/users/info/{site_user/site_user_login}/"><xsl:value-of select="site_user/site_user_login"/></a></span>
				</xsl:when>
				<xsl:otherwise>
					
					<xsl:choose>
						<xsl:when test="item_propertys/item_property[@xml_name='email']/value != ''">
						<span><a href="mailto:{item_propertys/item_property[@xml_name='email']/value}"><xsl:value-of select="item_propertys/item_property[@xml_name='autor']/value"/></a></span>
						</xsl:when>
						<xsl:otherwise>
							<span><xsl:value-of select="item_propertys/item_property[@xml_name='autor']/value"/></span>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
			&#xA0;&#xA0;<xsl:value-of select="item_date"/>
		</div>
		
		<!--    -->
		<xsl:if test="count(item_comments/comment) &gt; 0">
			<div style="margin-left: 50px">
				<xsl:apply-templates select="item_comments/comment"/>
			</div>
		</xsl:if>
		
	</xsl:template>
	
	<!--   -->
	<xsl:template match="comment">
		
		<!--  ,       -->
		<xsl:if test="comment_text != '' or comment_subject != ''">
			<a name="comment{comment_id}"></a>
			<div class="comment" id="comment{comment_id}">
				<div class="tl"></div>
				<div class="tr"></div>
				<div class="bl"></div>
				<div class="br"></div>
				
				<xsl:if test="comment_subject != ''">
					<div>
						<strong>
							<xsl:value-of select="comment_subject"/>
						</strong>
					</div>
				</xsl:if>
				
				<xsl:value-of select="comment_text" disable-output-escaping="yes"/>
				
				<!--   -->
				<xsl:if test="comment_grade != 0">
					<div>:
						<xsl:call-template name="show_average_grade">
							<xsl:with-param name="grade" select="comment_grade"/>
							<xsl:with-param name="const_grade" select="5"/>
						</xsl:call-template>
					</div>
				</xsl:if>
			</div>
			
			<div class="comment_desc">
				<xsl:choose>
					<!--     -->
					<xsl:when test="site_user_login/node()">
						<a href="/users/info/{site_user_login}/" class="c_u_l">
							<xsl:value-of select="site_user_login"/>
						</a>
					</xsl:when>
					<!--     -->
					<xsl:otherwise>
						<xsl:value-of select="comment_fio"/></xsl:otherwise>
				</xsl:choose>&#xA0;&#xA0;<xsl:value-of select="comment_datetime"/>&#xA0;&#xA0;<xsl:if
					test="/document/show_add_comments/node()
					and ((/document/show_add_comments = 1 and /document/site_user_id > 0)
		or /document/show_add_comments = 2)"><a href="javascript:cr('cr_{comment_id}');"></a>&#xA0;&#xA0;</xsl:if><a href="{/document/item/item_path}#comment{comment_id}" title="">#</a>
				
			</div>
			
			<!--     -->
			<xsl:if test="/document/show_add_comments/node() and ((/document/show_add_comments = 1 and /document/site_user_id > 0) or /document/show_add_comments = 2)">
				<div class="cr" id="cr_{comment_id}">
					
					<xsl:call-template name="AddCommentForm">
						<xsl:with-param name="comment_id" select="comment_id"/>
					</xsl:call-template>
				</div>
			</xsl:if>
			
			<!--    -->
			<xsl:if test="count(comment) > 0">
				<div class="csd">
					<xsl:apply-templates select="comment"/>
				</div>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	
	<!-- ======================================================== -->
	<!--     .  -->
	<!-- ======================================================== -->
	
	<xsl:template match="group" mode="goups">
		<xsl:variable name="parent_id" select="@parent_id"/>
		
		<li>
			<xsl:if test="small_image!=''">
				<a href="{/document/blocks/url}{fullpath}" target="_blank">
					<img src="{small_image}"/>
			</a>&#xA0;</xsl:if>
			<a href="{/document/blocks/url}{fullpath}">
				<b>
					<xsl:value-of disable-output-escaping="yes" select="name"/>
				</b>
			</a>
		</li>
	</xsl:template>
	
	<!--   -->
	<xsl:template name="show_average_grade">
		<xsl:param name="grade" select="0"/>
		<xsl:param name="const_grade" select="0"/>
		
		<!--    -->
		<xsl:variable name="current_grade" select="$grade * 1"/>
		
		<xsl:choose>
			<!--    -->
			<xsl:when test="floor($current_grade) = $current_grade and not($const_grade &gt; ceiling($current_grade))">
				
				<xsl:if test="$current_grade - 1 &gt; 0">
					<xsl:call-template name="show_average_grade">
						<xsl:with-param name="grade" select="$current_grade - 1"/>
						<xsl:with-param name="const_grade" select="$const_grade - 1"/>
					</xsl:call-template>
				</xsl:if>
				
				<xsl:if test="$current_grade != 0">
					<img src="/hostcmsfiles/images/stars_single.gif"/>
				</xsl:if>
			</xsl:when>
			<xsl:when test="$current_grade != 0 and not($const_grade &gt; ceiling($current_grade))">
				
				<xsl:if test="$current_grade - 0.5 &gt; 0">
					<xsl:call-template name="show_average_grade">
						
						<xsl:with-param name="grade" select="$current_grade - 0.5"/>
						<xsl:with-param name="const_grade" select="$const_grade - 1"/>
					</xsl:call-template>
				</xsl:if>
				
				<img src="/hostcmsfiles/images/stars_half.gif"/>
			</xsl:when>
			
			<!--   ,       ,    -->
			<xsl:otherwise>
				<xsl:call-template name="show_average_grade">
					<xsl:with-param name="grade" select="$current_grade"/>
					<xsl:with-param name="const_grade" select="$const_grade - 1"/>
				</xsl:call-template>
				<img src="/hostcmsfiles/images/stars_gray.gif"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!--      -->
	<xsl:template name="for">
		<xsl:param name="i" select="0"/>
		<xsl:param name="n"/>
		<xsl:param name="current_page"/>
		
		<xsl:if test="$n &gt; $i">
			<!--    -->
			<xsl:if test="$i != $current_page">
				
				<!--    $parent_group_id    -->
				<xsl:variable name="parent_group_id" select="/document/blocks/parent_group_id"/>
				
				<!--       -->
				<xsl:variable name="group_link">
					<xsl:choose>
						<!--     (!=0) -->
						<xsl:when test="$parent_group_id != 0">
							<xsl:value-of select="/document/blocks//group[@id=$parent_group_id]/fullpath"/>
						</xsl:when>
						<!--     -        -->
						<xsl:otherwise></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				
				<!--    -->
				<xsl:variable name="number_link">
					<xsl:choose>
						<!--     -->
						<xsl:when test="$i != 0">page-<xsl:value-of select="$i+1"/>/</xsl:when>
						<!--     -        -->
						<xsl:otherwise></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				
				<a href="{/document/blocks/url}{$group_link}{$number_link}" class="page_link">
					<xsl:value-of select="$i+1"/>
				</a>
			</xsl:if>
			
			<!--     -->
			<xsl:if test="$i = $current_page">
				<span class="current">
					<xsl:value-of select="$i + 1"/>
				</span>
			</xsl:if>
			
			<!--   .     ! -->
			<xsl:call-template name="for">
				<xsl:with-param name="i" select="$i + 1"/>
				<xsl:with-param name="n" select="$n"/>
				<xsl:with-param name="current_page" select="$current_page"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>