<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:math="http://exslt.org/math">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>
	
	<!--  -->
	
	<xsl:template match="/">
		<xsl:apply-templates select="/shop"/>
	</xsl:template>
	
	<xsl:template match="/shop">
		
		<xsl:if test="count(tags/tag) != 0">
		<div>
			<h2></h2>
			
			<xsl:variable name="max_tag_count" select="(/shop/tags/tag/count[not(. &lt; /shop/tags/tag/count)])[1] - 1"/>
			
			<xsl:variable name="max_size" select="16"/>
			<xsl:variable name="min_size" select="9"/>
			
			<xsl:variable name="coeff_size">
				<xsl:choose>
					<xsl:when test="$max_tag_count &gt; 0">
						<xsl:value-of select="($max_size - $min_size) div $max_tag_count"/>
					</xsl:when>
					<xsl:otherwise>0</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			
			<div>
				<ul class="tag gray_link">
					<xsl:apply-templates select="tags/tag">
						<xsl:with-param name="min_size" select="$min_size"/>
						<xsl:with-param name="coeff_size" select="$coeff_size"/>
					</xsl:apply-templates>
				</ul>
			</div>
		</div>
		</xsl:if>
		
	</xsl:template>
	
	<!--    -->
	<xsl:template match="tag">
		
		<xsl:param name="min_size"/>
		<xsl:param name="coeff_size" select="10"/>
		
		<!--       $min_size +  * $coeff_size -->
		<xsl:variable name="size" select="round($min_size + ((count - 1) * $coeff_size))"/>
		
		<li>
			<a href="{/shop/path}tag/{tag_path_name}/" style="font-size: {$size}pt">
				<xsl:value-of select="tag_name"/>
			</a>
		</li>
		
		<xsl:text> </xsl:text>
		
	</xsl:template>
</xsl:stylesheet>