<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>
	
	<xsl:template match="affiliate_plans">
		<h1> </h1>
		<xsl:apply-templates select="affiliate_plan" />
		<xsl:apply-templates select="affiliate_items_data" />
	</xsl:template>
	
	<xsl:template match="affiliate_plan">
		<h2><xsl:value-of select="name" /></h2>
		
		<xsl:choose>
			<xsl:when test="count(../affiliat_user/affiliat_user) = 0">
				<p>
					     .
				</p>
			</xsl:when>
			<xsl:otherwise>
				<ul style="padding: 0 0 10px 12px;">
					<xsl:apply-templates select="../affiliat_user/affiliat_user" >
						<xsl:with-param name="shop_id" select="@shop_id"/>
					</xsl:apply-templates>
				</ul>
			</xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>
	
	<xsl:template match="affiliat_user">
		<xsl:param name="shop_id" select="shop_id"/>
		
		<li>
			<xsl:if test="count(ancestor::affiliat_user)-1 = 0">
				<xsl:attribute name="style">
					padding-bottom: 10px;
				</xsl:attribute>
			</xsl:if>
			
			<b><xsl:value-of select="site_user_login" /></b>
			&#xA0;<xsl:value-of select="affiliat_invite_date" />
			&#xA0;: <xsl:value-of select="format-number(sum(transaction[shop_shops_id = $shop_id]/shop_site_users_account_sum_in_base_currency), '0.##')" />
			&#xA0;<xsl:value-of select="//affiliate_plan[@shop_id = $shop_id]/shop_currency/shop_currency_name" />
			
			<xsl:choose>
				<xsl:when test="affiliat_cash = ''">
					 
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="affiliat_cash" />&#xA0;<xsl:value-of select="shop_currency/shop_currency_name" />
				</xsl:otherwise>
			</xsl:choose>
			
			<xsl:if test="affiliat_user">
				<ul style="padding: 0 0 0px 14px;">
					<xsl:apply-templates select="affiliat_user" >
						<xsl:with-param name="shop_id" select="$shop_id"/>
					</xsl:apply-templates>
				</ul>
			</xsl:if>
		</li>
		
	</xsl:template>
	
	<xsl:template match="affiliate_items_data">
		<h1>     </h1>
		
		<p>
			<form method="POST">
				 
				<input type="text" name="date_from" class="calendar_field" id="affiliat_date_from" size="8" value="{affiliate_items_date_from}" />

				&#xA0;
				<input type="text" name="date_to" class="calendar_field" size="8" value="{affiliate_items_date_to}" />&#xA0;
				<input type="submit" name="do_filter" value="" />
			</form>
		</p>
		
		<xsl:choose>
			<xsl:when test="count(affiliate_items_item) = 0">
				    .
			</xsl:when>
			<xsl:otherwise>
				<table>
				<tr>
				<td></td>
				<td></td>
				<td> </td>
				</tr>
					<xsl:apply-templates select="affiliate_items_item"/>
				</table>
			</xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>
	
	<xsl:template match="affiliate_items_item">
		<tr>
			<td><xsl:value-of select="affiliate_items_name" /></td>
			<td><xsl:value-of select="affiliate_items_quantity" /></td>
			<td><xsl:value-of select="affiliate_items_price" /></td>
		</tr>
	</xsl:template>
	
	
	
	<xsl:template match="transaction">
		<li style="margin-left: 13px;">
			<xsl:variable name="shop_transaction" select="shop_shops_id"/>
			<xsl:variable name="currency_transaction" select="shop_currency_id"/>
			.: <xsl:value-of select="shop_site_users_account_sum_in_base_currency" />&#xA0;<xsl:value-of select="//affiliate_plan[@shop_id = $shop_transaction]/all_currency/shop_currency[@id = $currency_transaction]/shop_currency_name" />
		</li>
	</xsl:template>
	
</xsl:stylesheet>