<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>
	
	<xsl:key name="accrual_date" match="affiliat" use="affiliat_date"/>
	<xsl:key name="inner_level" match="affiliat" use="affiliat_inner_level"/>
	
	<xsl:template match="affiliat_data">
		<!--
		<link rel="stylesheet" type="text/css" media="all" href="/hostcmsfiles/calendar/calendar.css" title="win2k-cold-1" />
		<script type="text/javascript" src="/hostcmsfiles/calendar/calendar.js"></script>
		<script type="text/javascript" src="/hostcmsfiles/calendar/lang/calendar-ru.js"></script>
		<script type="text/javascript" src="/hostcmsfiles/calendar/calendar-setup.js"></script>
		-->
		<h1></h1>
		<p>
			<form method="POST" action="./">
				
				
				<input type="text" name="date_from" class="calendar_field" id="affiliat_date_from" size="8" value="{affiliat_date_from}" />
				<!--
				<input type="text" name="date_from" class="calendar_field" id="affiliat_date_from" onblur="FieldCheck(this)" onkeyup="FieldCheck(this)" onkeydown="FieldCheck(this)" size="8" value="{affiliat_date_from}" />
				<script type="text/javascript">
					onLoad.Calendar.setup({inputField: 'affiliat_date_from',
					ifFormat: '%d.%m.%Y',
					showsTime: false,
					button: 'affiliat_date_from',
					align: 'Br',
					singleClick: true,
					timeFormat: false,
					firstDay: 1});
				</script>-->
				
				&#xA0;
				<input type="text" name="date_to" class="calendar_field" size="8" value="{affiliat_date_to}" />&#xA0;
				<input type="submit" name="do_filter" value="" />
			</form>
		</p>
		
		<xsl:choose>
			<xsl:when test="count(affiliat) = 0">
				<p>
					    .
				</p>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="affiliat[generate-id(.) = generate-id(key('accrual_date', affiliat_date))]" mode="affiliat_key">
					<!--    -->
					<xsl:sort select="concat(substring(affiliat_date, 7, 4), substring(affiliat_date, 4, 2), substring(affiliat_date, 1, 2))" data-type="number" order="ascending" />
				</xsl:apply-templates>
				
			</xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>
	
	<xsl:template match="affiliat" mode="affiliat_key">
		<xsl:param name="date" select="affiliat_date" />
		<xsl:value-of select="affiliat_date" />&#xA0;|&#xA0;<xsl:value-of select="sum(//affiliat[affiliat_date = $date]/affiliat_amount)" />&#xA0;<xsl:value-of select="affiliat_currency" />&#xA0;|&#xA0;  
		
		<xsl:apply-templates select="//affiliat[affiliat_date = $date and generate-id(.) = generate-id(key('inner_level', affiliat_inner_level))]"  mode="affiliat_level_name"><xsl:sort select="affiliat_inner_level" type="number" order="ascending" /></xsl:apply-templates>
		
	</xsl:template>
	
	<xsl:template match="affiliat" mode="affiliat_level_name">
		<xsl:param name="date" select="affiliat_date" />
		<xsl:param name="level" select="affiliat_inner_level" />
		<xsl:if test="affiliat_inner_level = 1">
			<div>
				 :
			</div>
		</xsl:if>
		<xsl:if test="affiliat_inner_level &gt; 1">
			<div>
				
				<xsl:value-of select="affiliat_inner_level" /> :
			</div>
		</xsl:if>
		
		<div style="margin-left: 10px">
			<xsl:apply-templates select="//affiliat[affiliat_date = $date and affiliat_inner_level = $level]" />
		</div>
	</xsl:template>
	
	<xsl:template match="affiliat">
		
		<b><xsl:value-of select="affiliat_login" /></b>,&#xA0;&#xA0;<xsl:value-of select="affiliat_amount" />&#xA0;<xsl:value-of select="affiliat_currency" /><br />
		
	</xsl:template>
	
</xsl:stylesheet>