<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>
	
	<xsl:decimal-format name="my" decimal-separator="," grouping-separator=" "/>
	
	<!--    -->
	<xsl:variable name="recount" select="recount"/>
	
	<xsl:template match="/cart">
		<SCRIPT>
			<xsl:comment>
				<xsl:text disable-output-escaping="yes">
					<![CDATA[
					
					function set_count_mod(input_id, step)
					{
					var oCountMod = document.getElementById(input_id);
					
					if (!(iCurrCount = parseInt(oCountMod.value))) {
					iCurrCount = 0;
					}
					
					if (!(iCurrCount <= 0 && step < 0)) {
							oCountMod.value = iCurrCount + step;
							}
							}
							]]>
						</xsl:text>
					</xsl:comment>
				</SCRIPT>
				<xsl:choose>
					<xsl:when test="(count_item=0) and (count_postpone_item=0)">
						<!--       -->
						<p class="title">     .</p>
						
						<p>
							<xsl:choose>
								<xsl:when test="user_id != 0">      .</xsl:when>
								<xsl:when test="site_users_class_exists = 1">  .    ,       .</xsl:when>
								<xsl:otherwise></xsl:otherwise>
							</xsl:choose>
						</p>
					</xsl:when>
					<xsl:otherwise>
						<!--   -->
						<h1> </h1>
						
						<p>  ,  &#171; &#187;.</p>
						
						<form action="{/cart/shop/path}cart/" name="address" method="POST">
							<!--    -->
							<xsl:if test="count(itemincart[flag_postpone = 0]) > 0">
								<table cellspacing="0" cellpadding="0" border="0" class="shop_cart_table">
									
									<tr>
										<th></th>
										<!--<td width="70"></td>-->
										<th width="70">-</th>
										<th width="100"></th>
										<th width="100"></th>
										<th></th>
										<th></th>
									</tr>
									<xsl:apply-templates select="itemincart[flag_postpone = 0]"/>
									<tr class="shop_cart_table">
										<td>
											<b>:</b>
										</td>
										<td>
											<b>
												<xsl:value-of disable-output-escaping="yes" select="totalquantity"/>
											</b>
										</td>
										<td>&#xA0;</td>
										<td style="white-space: nowrap">
											<xsl:value-of select="format-number(total_sum_without_discount,'### ##0,00', 'my')"/>&#xA0;<xsl:value-of disable-output-escaping="yes" select="shop/shop_currency/shop_currency_name"/>
										</td>
										<td>&#xA0;</td>
										<td>&#xA0;</td>
									</tr>
									<xsl:if test="total_sum_without_discount &gt; totalsum">
										<tr class="shop_cart_table">
											<!--<td style="border-bottom: thin dashed #DADADA">
												&#xA0;
											</td>-->
											<td style="border-bottom: thin dashed #DADADA">
												<b>:</b>
											</td>
											<td style="border-bottom: thin dashed #DADADA">&#xA0;</td>
											<td style="border-bottom: thin dashed #DADADA">&#xA0;</td>
											<td style="border-bottom: thin dashed #DADADA; white-space: nowrap; font-weight: bold">
												<b>
													<xsl:value-of disable-output-escaping="yes" select="format-number(total_sum_without_discount - totalsum, '### ##0,00', 'my')"/>&#xA0;<xsl:value-of disable-output-escaping="yes" select="shop/shop_currency/shop_currency_name"/></b>
											</td>
											<td style="border-bottom: thin dashed #DADADA">&#xA0;</td>
											<td style="border-bottom: thin dashed #DADADA">&#xA0;</td>
										</tr>
										<tr class="shop_cart_table">
											<!--<td style="border-bottom: none">
												&#xA0;
											</td>-->
											<td style="border-bottom: none">
												<b>:</b>
											</td>
											<td style="border-bottom: none">&#xA0;</td>
											<td style="border-bottom: none">&#xA0;</td>
											<td style="border-bottom: none; white-space: nowrap; font-weight: bold">
												<xsl:value-of disable-output-escaping="yes" select="format-number(totalsum, '### ##0,00', 'my')"/>&#xA0;<xsl:value-of disable-output-escaping="yes" select="shop/shop_currency/shop_currency_name"/>
											</td>
											<td style="border-bottom: none">&#xA0;</td>
											<td style="border-bottom: none">
												&#xA0;
											</td>
										</tr>
									</xsl:if>
								</table>
								
								<div style="clear: both; height: 20px;"></div>
							</xsl:if>
							
							<!--     -->
							<xsl:if test="count(itemincart[flag_postpone = 1]) &gt; 0">
								<h2> </h2>
								<div class="gray">
									<table cellspacing="0" cellpadding="0" border="0" class="shop_cart_table">
										<tr>
											<th></th>
											<!--<td width="70"></td>-->
											<th width="70">-</th>
											<th width="100"></th>
											<th width="100"></th>
											<th></th>
											<th></th>
										</tr>
										<xsl:apply-templates select="itemincart[flag_postpone = 1]"/>
										<tr class="shop_cart_table">
											<td>
												<b>:</b>
											</td>
											<td>
												<b>
													<xsl:value-of disable-output-escaping="yes" select="totalquantity_postpone_item"/>
												</b>
											</td>
											<td>&#xA0;</td>
											<td style="white-space: nowrap">
												<xsl:value-of disable-output-escaping="yes" select="format-number(totalsum_postpone_item,'### ##0,00', 'my')"/>&#xA0;<xsl:value-of disable-output-escaping="yes" select="shop/shop_currency/shop_currency_name"/>
											</td>
											<td>&#xA0;</td>
											<td>&#xA0;</td>
										</tr>
									</table>
								</div>
							</xsl:if>
							
							<!--  -->
							<div style="padding: 15px 0px 5px 0px;">
								:&#xA0;
								<input name="shop_coupon_text" type="text" value="{coupon_text}" style="margin-right: 20px"/>
							</div>
							
							<!--  -->
							<div class="gray_button">
								<div>
									<input name="recount" value="" type="submit" />
								</div>
							</div>
						</form>
						
						<form action="{/cart/shop/path}cart/" name="address" method="POST">
							<xsl:choose>
								<xsl:when test="site_users_class_exists = 1"></xsl:when>
								<xsl:otherwise>
									
									<h1>  </h1>
									
									<!--   -->
									<xsl:if test="/cart/message/node()">
										<div id="message">
											<xsl:value-of disable-output-escaping="yes" select="/cart/message"/>
										</div>
									</xsl:if>
									
									<p style="color: #707070">
									,  <span class="red_star" style="position: relative; top: 6px;"> *</span>,   .
									</p>
									
									<!--       ,  
									    -->
									<table cellspacing="0" cellpadding="0" border="0" class="shop_cart_table">
										<tr>
											<td>:</td>
											<td>
												<input name="site_users_surname" type="text" value="{site_users_surname}" size="40"/>
											</td>
											<td class="red_star"> *</td>
										</tr>
										<tr>
											<td>:</td>
											<td>
												<input name="site_users_name" type="text" value="{site_users_name}" size="40"/>
											</td>
											<td class="red_star"> *</td>
										</tr>
										<tr>
											<td>:</td>
											<td>
												<input name="site_users_patronymic" type="text" value="{site_users_patronymic}" size="40"/>
											</td>
										</tr>
										<tr>
											<td>:</td>
											<td>
												<input name="site_users_company" type="text" value="{site_users_company}" size="40"/>
											</td>
										</tr>
										<tr>
											<td>E-mail:</td>
											<td>
												<input name="site_users_email" type="text" value="{site_users_email}" size="40"/>
											</td>
											<td class="red_star"> *</td>
										</tr>
										<tr>
											<td>:</td>
											<td>
												<input name="site_users_phone" type="text" value="{site_users_phone}" size="40"/>
											</td>
										</tr>
										<tr>
											<td>:</td>
											<td>
												<input name="site_users_fax" type="text" value="{site_users_fax}" size="40"/>
											</td>
										</tr>
										<tr>
											<td>:</td>
											<td>
												<input name="site_users_address" type="text" value="{site_users_address}" size="40"/>
											</td>
										</tr>
									</table>
									
									<!--       -->
									<input name="step_1_1a" type="hidden" value="1"/>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="count(itemincart[flag_postpone = 0]) > 0 and (user_id != 0 or site_users_class_exists = 0)">
								<div class="gray_button">
									<div>
										<input name="step_1" value=" " type="submit" style="font-weight: bold"/>
									</div>
								</div>
							</xsl:if>
						</form>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:template>
			
			<!--      -->
			<xsl:template match="itemincart">
				<tr class="shop_cart_table">
					
					<!--
					<br/>
					<a href="?action=delete_item&amp;item_id={item/@id}" onclick="return confirm(' ,   ?');" >  </a>-->
					
					<td style="font-size: 120%;">
						
						<a href="{/cart/shop/path}{item/fullpath}{item/path}/">
							<xsl:value-of disable-output-escaping="yes" select="item/name"/>
						</a>
						<!--
						<xsl:if test="item/small_image!=''">
							<img src="{item/small_image}"/>
						</xsl:if>
						-->
						<!--    -->
						<div style="margin: 3px 0px 0px 0px">
							<div style="white-space: nowrap;">
								<xsl:if test="item/comments/average_grade/node()">
									<xsl:call-template name="show_average_grade">
										<xsl:with-param name="grade" select="item/comments/average_grade"/>
										<xsl:with-param name="const_grade" select="5"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="not(item/comments/average_grade/node())">
									<xsl:call-template name="show_average_grade">
										<xsl:with-param name="grade" select="0"/>
										<xsl:with-param name="const_grade" select="5"/>
									</xsl:call-template>
								</xsl:if>
							</div>
						</div>
						
						<div style="clear: both"></div>
					</td>
					<td style="white-space: nowrap">
						<input type="text" size="3" name="{item/@id}" id="count_{item/@id}" value="{quantity}"/>
						
						<img src="/images/map_intocart.gif" width="12" height="21" border="0" usemap="#mapInToCart{item/@id}" style="margin: 0 0 -6px 1px;"/>&#xA0;<xsl:value-of select="item/mesure" disable-output-escaping="yes"/>
						
						<map name="mapInToCart{item/@id}">
							<area shape="rect" coords="0,0,12,10"  onclick="set_count_mod('count_{item/@id}', 1);" nohref="nohref" />
							<area shape="rect" coords="0,11,12,21" onclick="set_count_mod('count_{item/@id}', -1);" nohref="nohref" />
						</map>
						
						
					</td>
					<td style="white-space: nowrap">
						<!--  -->
						<xsl:value-of disable-output-escaping="yes" select="format-number(item/price_discount, '### ##0,00', 'my')"/>&#xA0;<xsl:value-of select="item/currency" disable-output-escaping="yes"/></td>
					<td style="white-space: nowrap">
						<!--  -->
						<xsl:value-of disable-output-escaping="yes" select="format-number(item/price_discount * quantity, '### ##0,00', 'my')"/>&#xA0;<xsl:value-of disable-output-escaping="yes" select="item/currency"/></td>
					<td align="center">
						<!--   -->
						<xsl:choose>
							<xsl:when test="flag_postpone=1">
								<input type="checkbox" name="flag_postpone{item/@id}" checked=""/>
							</xsl:when>
							<xsl:otherwise>
								<input type="checkbox" name="flag_postpone{item/@id}"/>
							</xsl:otherwise>
						</xsl:choose>
					</td>
					
				<td align="center"><a href="?action=delete_item&amp;item_id={item/@id}" onclick="return confirm(' ,   ?');" title="   " alt="   "></a></td>
				</tr>
			</xsl:template>
			
			<!--    -->
			<xsl:template name="show_average_grade">
				<xsl:param name="grade" select="0"/>
				<xsl:param name="const_grade" select="0"/>
				
				<!--    -->
				<xsl:variable name="current_grade" select="$grade * 1"/>
				
				<xsl:choose>
					<!--    -->
					<xsl:when test="floor($current_grade) = $current_grade and not($const_grade &gt; ceiling($current_grade))">
						
						<xsl:if test="$current_grade - 1 &gt; 0">
							<xsl:call-template name="show_average_grade">
								<xsl:with-param name="grade" select="$current_grade - 1"/>
								<xsl:with-param name="const_grade" select="$const_grade - 1"/>
							</xsl:call-template>
						</xsl:if>
						
						<xsl:if test="$current_grade != 0">
							<img src="/hostcmsfiles/images/stars_single.gif"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$current_grade != 0 and not($const_grade &gt; ceiling($current_grade))">
						
						<xsl:if test="$current_grade - 0.5 &gt; 0">
							<xsl:call-template name="show_average_grade">
								<xsl:with-param name="grade" select="$current_grade - 0.5"/>
								<xsl:with-param name="const_grade" select="$const_grade - 1"/>
							</xsl:call-template>
						</xsl:if>
						
						<img src="/hostcmsfiles/images/stars_half.gif"/>
					</xsl:when>
					
					<!--   ,       ,    -->
					<xsl:otherwise>
						<xsl:call-template name="show_average_grade">
							<xsl:with-param name="grade" select="$current_grade"/>
							<xsl:with-param name="const_grade" select="$const_grade - 1"/>
						</xsl:call-template>
						<img src="/hostcmsfiles/images/stars_gray.gif"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:template>
			
			<!--     () -->
			<xsl:template name="for">
				<xsl:param name="i" select="0"/>
				<xsl:param name="n"/>
				
				<input type="radio" name="shop_comment_grade" value="{$i}" id="id_shop_comment_grade_{$i}">
					<xsl:if test="/shop/shop_comment_grade = $i">
						<xsl:attribute name="checked">
						</xsl:attribute>
					</xsl:if>
				</input>&#xA0;
				<label for="id_shop_comment_grade_{$i}">
					<xsl:call-template name="show_average_grade">
						<xsl:with-param name="grade" select="$i"/>
						<xsl:with-param name="const_grade" select="5"/>
					</xsl:call-template>
				</label>
				<br/>
				<xsl:if test="$n &gt; $i and $n &gt; 1">
					<xsl:call-template name="for">
						<xsl:with-param name="i" select="$i + 1"/>
						<xsl:with-param name="n" select="$n"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:template>
		</xsl:stylesheet>