<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="Windows-1251" indent="no" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>

	<xsl:decimal-format name="my" decimal-separator="," grouping-separator=" "/>
	
	<xsl:template match="/">
		<xsl:apply-templates select="orders"/>
	</xsl:template>
	
	<!--     -->
	<xsl:template match="/orders">
		
		<h1> </h1>
		
		<hr />
		
		<xsl:choose>
			<xsl:when test="count(order_list) &gt; 0">
				<xsl:apply-templates select="order_list"/>
			</xsl:when>
			<xsl:otherwise>
				<p>  .</p>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!--    -->
	<xsl:template match="order_list">
		
		<xsl:if test="position() != 1">
			<hr />
		</xsl:if>

		<h2>&#xA0;
			<xsl:choose>
				<xsl:when test="order_account_number/node() and order_account_number != ''">
					<xsl:value-of select="order_account_number"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="@id"/>
				</xsl:otherwise>
			</xsl:choose>  <xsl:value-of select="date"/> .
		</h2>
		
		<xsl:variable name="price_item" select="order_items/items_order/item/price"/>
		<xsl:variable name="price_sale" select="order_items/items_order/order_items_price"/>
		
		<xsl:for-each select="shop/shop_list_of_prices/shop_list_of_price">
			
			<xsl:variable name="new_price" select="$price_item * percent * 0.01"/>
			
			<xsl:if test="round($new_price - $price_sale) = 0">
				<span class="gray">    <xsl:value-of select="100 - percent"/>%.</span>
			</xsl:if>
		</xsl:for-each>
		
		<!--     -->
		<xsl:if test="system_of_pay_name != ''">
			<!--  : -->
			<p>
				<b>  &#171;<a href="{shop/path}cart/print/{shop_order_guid}/" target="_blank"><xsl:value-of select="system_of_pay_name" /></a><xsl:text> </xsl:text><img src="/hostcmsfiles/images/new_window.gif"/>&#187;.</b>
			</p>
		</xsl:if>

		<p>
		<xsl:choose>
			<xsl:when test="status_of_pay != '0'">
				<b> &#xA0;<xsl:value-of select="date_of_pay"/></b>
			</xsl:when>
			<xsl:when test="order_cancel != 0">
				<span style="color: #AA0000"> .</span>
			</xsl:when>
			<xsl:otherwise>
				<b><span style="color: #AA0000">  .</span></b>
				<xsl:text> </xsl:text>
				<a href="?action=cancel&amp;shop_order_guid={shop_order_guid}" onclick="return confirm('    ?');" class="dashed_link"> </a>,
				<xsl:text> </xsl:text><a href="javascript:void(0)" onclick="cr('change_order_type_{order_id}');" class="dashed_link">  </a>,
			</xsl:otherwise>
		</xsl:choose>

		<xsl:text> </xsl:text><a href="{shop/path}cart/?action=repeat&amp;shop_order_guid={shop_order_guid}" onclick="return confirm('    ?');" class="dashed_link"> </a>.
		
		<!--      -->
		<xsl:if test="status_of_pay = '0' and order_cancel = 0">
			<div style="display: none; width: 520px;" class="comment" id="change_order_type_{order_id}">
				<div class="tl"></div>	
				<div class="tr"></div>	
				<div class="br"></div>	
				<div class="bl"></div>	
				<form method="post">
					<select name="system_of_pay_id">
						<xsl:apply-templates select="/orders/system_of_pays/system_of_pay">
							<xsl:with-param name="current_system_of_pay_id" select="system_of_pay_id"/>
						</xsl:apply-templates>
					</select>
					<input type="hidden" name="order_id" value="{order_id}"/>
					<input type="submit" name="change_order_type_button" style="margin-left: 15px;" value="  "/>
				</form>
			</div>
		</xsl:if>
		
		</p>
		
		<xsl:if test="order_status/order_status_name/node()">
			<p>
				:&#xA0;<b><xsl:value-of select="order_status/order_status_name"/></b>, <xsl:value-of select="order_status/order_change_status_datetime"/>.
			</p>
		</xsl:if>

		<p>
			:&#xA0;<strong><xsl:if test="index != ''">
					<xsl:value-of select="index"/>, </xsl:if>
				
				<xsl:if test="country_name != ''">
					<xsl:value-of select="country_name"/>, </xsl:if>
				
				<xsl:if test="location_name != ''">
					<xsl:value-of select="location_name"/>, </xsl:if>
				
				<xsl:if test="city_name != ''">. <xsl:value-of select="city_name"/>, </xsl:if>
				
				<xsl:if test="city_area_name != ''">
					<xsl:value-of select="city_area_name"/>, </xsl:if>
				
				<xsl:value-of select="address"/></strong>
			
			<xsl:if test="phone != ''">
				<br />:&#xA0;<strong><xsl:value-of select="phone"/></strong>
			</xsl:if>
			
			<xsl:if test="delivery_type/type_of_delivery_name != ''">
				<br />:&#xA0;<strong><xsl:value-of select="delivery_type/type_of_delivery_name"/></strong>
			</xsl:if>

			<xsl:if test="sending_info != ''">
				<br />  :&#xA0;<strong><xsl:value-of select="sending_info"/></strong>
			</xsl:if>
			
		</p>
		
		<!--
		<p>
			<b> :</b>&#xA0;<xsl:value-of select="order_delivery_price"/>&#xA0;<xsl:value-of select="currency/currency_name" disable-output-escaping="yes"/>
		</p>
		-->
		
		<!--   -->
		<table cellspacing="0" cellpadding="0" border="0" class="shop_cart_table">
			<tr class="shop_cart_table_title">
				<th></th>
				<th></th>
				<th></th>
				<th></th>
				<th></th>
			</tr>
			<xsl:apply-templates select="order_items/items_order"/>
			<tr>
				<td colspan="4" style="text-align: right">
					:
				</td>
				<td style="white-space: nowrap; text-align: right">
					<b><xsl:value-of select="format-number(sum,'### ##0,00', 'my')"/>&#160;<xsl:value-of select="currency/currency_name" disable-output-escaping="yes"/></b>
				</td>
			</tr>
		</table>
	</xsl:template>
	
	<!--     -->
	<xsl:template match="order_items/items_order">
		<tr>
			<td>
				<xsl:choose>
					<xsl:when test="item/node()">
						<a href="{../../shop/path}{item/fullpath}{item/path}/">
							<xsl:value-of select="order_items_name"/>
						</a>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="order_items_name"/>
					</xsl:otherwise>
				</xsl:choose>
			</td>
			<td align="right" width="90px" style="white-space: nowrap">
				<xsl:value-of select="format-number(order_items_price,'### ##0,00', 'my')"/>
				<!--    -->
				<xsl:if test="../../currency/currency_name != ''">&#xA0;<xsl:value-of select="../../currency/currency_name" disable-output-escaping="yes"/></xsl:if>
			</td>
			<td width="60px" style="white-space: nowrap">
				<b>x&#xA0;</b><xsl:text> </xsl:text><xsl:value-of select="order_items_quantity"/><xsl:text> </xsl:text><xsl:value-of select="item/mesure"/></td>
			<td width="15px" align="center">=</td>
			<td width="90px" align="right">
				<xsl:value-of select="format-number(order_items_price * order_items_quantity,'### ##0,00', 'my')"/>&#xA0;<xsl:value-of select="../../currency/currency_name" disable-output-escaping="yes"/>
			</td>
		</tr>
	</xsl:template>

	<!--        -->
	<xsl:template match="system_of_pay">
		<xsl:param name="current_system_of_pay_id"/>

		<xsl:choose>
			<xsl:when test="$current_system_of_pay_id = @id">
				<option value="{@id}" selected="selected"><xsl:value-of select="name"/></option>
			</xsl:when>
			<xsl:otherwise>
				<option value="{@id}"><xsl:value-of select="name"/></option>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>